From: "Vadim Misbakh-Soloviov" <mva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lua/lua-utf8/
Date: Sat, 25 Sep 2021 22:57:16 +0000 (UTC) [thread overview]
Message-ID: <1632610607.a9dcb35859e3573e7030ebc9141c9517316fcccd.mva@gentoo> (raw)
commit: a9dcb35859e3573e7030ebc9141c9517316fcccd
Author: Vadim Misbakh-Soloviov <mva <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 25 22:46:19 2021 +0000
Commit: Vadim Misbakh-Soloviov <mva <AT> gentoo <DOT> org>
CommitDate: Sat Sep 25 22:56:47 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9dcb358
dev-lua/lua-utf8: fix ucd data header regeneration
Package-Manager: Portage-3.0.23, Repoman-3.0.1
Signed-off-by: Vadim Misbakh-Soloviov <mva <AT> gentoo.org>
dev-lua/lua-utf8/lua-utf8-0.1.3-r101.ebuild | 102 ++++++++++++++++++++++++++++
1 file changed, 102 insertions(+)
diff --git a/dev-lua/lua-utf8/lua-utf8-0.1.3-r101.ebuild b/dev-lua/lua-utf8/lua-utf8-0.1.3-r101.ebuild
new file mode 100644
index 00000000000..56443c4373a
--- /dev/null
+++ b/dev-lua/lua-utf8/lua-utf8-0.1.3-r101.ebuild
@@ -0,0 +1,102 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="A UTF-8 support module for Lua and LuaJIT"
+HOMEPAGE="https://github.com/starwing/luautf8"
+SRC_URI="https://github.com/starwing/luautf8/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN//-/}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="${LUA_DEPS}"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+ ${LUA_DEPS}
+"
+
+src_prepare() {
+ local unicodedir="${EPREFIX}"/usr/share/unicode
+ local ucddir
+
+ if has_verson '<app-i18n/unicode-data-14.0.0-r1'; then
+ ucddir="${unicodedir}-data"
+ else
+ ucddir=${unicodedir}
+ fi
+
+ sed -i \
+ -e "s@UCD/@${ucd}/@" \
+ parseucd.lua
+
+ default
+}
+
+lua_src_compile() {
+ einfo "Performing regeneration unicode data header against app-i18n/unicode-data with ${ELUA}"
+ "${ELUA}" parseucd.lua
+
+ local compiler=(
+ "$(tc-getCC)"
+ "${CFLAGS}"
+ "-fPIC"
+ "${LDFLAGS}"
+ "$(lua_get_CFLAGS)"
+ "-c lutf8lib.c"
+ "-o lutf8lib-${ELUA}.o"
+ )
+ einfo "${compiler[@]}"
+ ${compiler[@]} || die
+
+ local linker=(
+ "$(tc-getCC)"
+ "-shared"
+ "${LDFLAGS}"
+ "-o lutf8lib-${ELUA}.so"
+ "lutf8lib-${ELUA}.o"
+ )
+ einfo "${linker[@]}"
+ ${linker[@]} || die
+}
+
+src_compile() {
+ lua_foreach_impl lua_src_compile
+}
+
+lua_src_test() {
+ local mytests=(
+ "test.lua"
+ "test_compat.lua"
+ "test_pm.lua"
+ )
+
+ for mytest in ${mytests[@]}; do
+ LUA_CPATH="${S}/lutf8lib-${ELUA}.so" ${ELUA} ${mytest} || die
+ done
+}
+
+src_test() {
+ lua_foreach_impl lua_src_test
+}
+
+lua_src_install() {
+ exeinto "$(lua_get_cmod_dir)"
+ newexe "lutf8lib-${ELUA}.so" "lua-utf8.so"
+}
+
+src_install() {
+ lua_foreach_impl lua_src_install
+
+ einstalldocs
+}
next reply other threads:[~2021-09-25 22:57 UTC|newest]
Thread overview: 36+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-09-25 22:57 Vadim Misbakh-Soloviov [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-01-05 16:38 [gentoo-commits] repo/gentoo:master commit in: dev-lua/lua-utf8/ Conrad Kostecki
2023-01-05 0:19 Sam James
2023-01-05 0:19 Sam James
2023-01-05 0:19 Sam James
2023-01-05 0:19 Sam James
2023-01-05 0:19 Sam James
2023-01-05 0:19 Sam James
2022-12-03 0:07 Conrad Kostecki
2022-11-05 19:28 Conrad Kostecki
2022-11-04 8:16 Agostino Sarubbo
2022-11-03 23:43 Sam James
2022-11-03 23:43 Sam James
2022-11-03 23:42 Sam James
2022-11-03 23:42 Sam James
2022-11-03 23:39 Sam James
2022-10-04 20:34 Conrad Kostecki
2021-09-25 23:25 Sam James
2021-09-18 12:29 Marek Szuba
2021-05-25 16:21 Georgy Yakovlev
2021-04-20 21:20 Sergei Trofimovich
2021-04-19 18:32 Sergei Trofimovich
2021-04-18 19:41 Sergei Trofimovich
2021-02-21 21:22 Conrad Kostecki
2021-01-27 19:48 Conrad Kostecki
2021-01-23 22:51 Sam James
2020-12-17 12:48 Sam James
2020-12-03 13:50 Marek Szuba
2020-12-03 5:04 Sam James
2020-12-02 23:31 Thomas Deutschmann
2020-12-02 22:09 Sam James
2020-11-29 17:17 Sergei Trofimovich
2020-11-29 17:11 Sergei Trofimovich
2020-11-28 23:59 Conrad Kostecki
2020-09-04 23:31 Sam James
2020-03-15 23:22 Georgy Yakovlev
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1632610607.a9dcb35859e3573e7030ebc9141c9517316fcccd.mva@gentoo \
--to=mva@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox